Skip to main content

SecretRef

Reference to a secret within the same tenant and project as the resource that uses it. Cross-project and cross-tenant secret references are not supported.

Usage profiles​

UsageFields and validation
In requestsView fields
In responsesView fields

In requests​

API JSON uses JSON field names (camelCase).

FieldTypePresenceMeaning
namestringRequired in requestsName identifying the secret within its project. Pattern: ^[a-z0-9][a-z0-9._-]{0,62}$.

Request validation​

These rules apply when this value is supplied in a request. Request validation does not guarantee that response fields are present or satisfy the same rules.

Applies toRuleRequirement
namePattern^[a-z0-9][a-z0-9._-]{0,62}$

In responses​

API JSON uses JSON field names (camelCase).

FieldTypePresenceMeaning
namestringRequired in requestsName identifying the secret within its project.

Request validation​

These rules apply when this value is supplied in a request. Request validation does not guarantee that response fields are present or satisfy the same rules.

Applies toRuleRequirement
namePattern^[a-z0-9][a-z0-9._-]{0,62}$

Where used​

ReferenceRelationship
Register a custom MCP serverPOST /api/v1/mcp-servers/create
Update a custom MCP serverPOST /api/v1/mcp-servers/update
Get a custom MCP serverPOST /api/v1/mcp-servers/get
List custom MCP serversPOST /api/v1/mcp-servers/list
CustomMCPServerNested in model
CustomMCPServerNested in model

Download the public reference contract.

Document: DOC-API-MODEL-secret-ref.